LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
ColumnSearch.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::ColumnSearch
| indicates in which way a column can be used in the WHERE search.

## Variables
const long | NONE = 0
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo(). More...
const long | CHAR = 1
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo(). More...
const long | BASIC = 2
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo(). More...
const long | FULL = 3
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo(). More...